org.apache.ignite.internal.binary

## Class BinaryClassDescriptor

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryClassDescriptor

    public class BinaryClassDescriptor
    extends Object

Binary class descriptor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `excluded()` Checks whether the class values are explicitly excluded from marshalling.
`boolean` `isWriteReplace()`
`boolean` `registered()`
`void` `registerStableSchema()` Register current stable schema if applicable.
`String` `toString()`
`int` `typeId()`
`boolean` `useOptimizedMarshaller()`
`Object` `writeReplace(Object obj)` Perform write replace.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### typeId

    public int typeId()

Returns:
  Type ID.

#### registered

    public boolean registered()

Returns:
  Whether typeId has been successfully registered by MarshallerContext or not.

#### useOptimizedMarshaller

    public boolean useOptimizedMarshaller()

Returns:
  `true` if `OptimizedMarshaller` must be used instead of `BinaryMarshaller` for object serialization and deserialization.

#### excluded

    public boolean excluded()

Checks whether the class values are explicitly excluded from marshalling.

Returns:
  `true` if excluded, `false` otherwise.

#### isWriteReplace

    public boolean isWriteReplace()

Returns:
  `True` if write-replace should be performed for class.

#### writeReplace

    public Object writeReplace(Object obj)

Perform write replace.

Parameters:
  `obj` - Original object.
Returns:
  Replaced object.

#### registerStableSchema

    public void registerStableSchema()

Register current stable schema if applicable.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022